Agents
Get messages
Get all messages in a conversation
GET
/
api
/
agents
/
conversations
/
{id}
/
messages
Get messages
curl --request GET \
--url https://{baseUrl}/api/v1/api/agents/conversations/{id}/messagesimport requests
url = "https://{baseUrl}/api/v1/api/agents/conversations/{id}/messages"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{baseUrl}/api/v1/api/agents/conversations/{id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{baseUrl}/api/v1/api/agents/conversations/{id}/messages"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "<string>",
"conversationId": "<string>",
"role": "user",
"content": "<string>",
"messageType": "text",
"createdAt": "2023-11-07T05:31:56Z",
"metadata": {},
"parts": [
{}
],
"toolCalls": [
{
"toolCallId": "<string>",
"toolName": "<string>",
"args": {},
"result": {},
"isError": false
}
]
}
],
"total": 123,
"page": 123,
"limit": 123,
"hasNextPage": true,
"pageCount": 123
}Headers
Workspace ID
Path Parameters
Conversation ID
Query Parameters
Example:
1
Example:
10
Example:
"createdAt"
Example:
"DESC"
⌘I
Get messages
curl --request GET \
--url https://{baseUrl}/api/v1/api/agents/conversations/{id}/messagesimport requests
url = "https://{baseUrl}/api/v1/api/agents/conversations/{id}/messages"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{baseUrl}/api/v1/api/agents/conversations/{id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{baseUrl}/api/v1/api/agents/conversations/{id}/messages"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "<string>",
"conversationId": "<string>",
"role": "user",
"content": "<string>",
"messageType": "text",
"createdAt": "2023-11-07T05:31:56Z",
"metadata": {},
"parts": [
{}
],
"toolCalls": [
{
"toolCallId": "<string>",
"toolName": "<string>",
"args": {},
"result": {},
"isError": false
}
]
}
],
"total": 123,
"page": 123,
"limit": 123,
"hasNextPage": true,
"pageCount": 123
}